﻿using System;

namespace Platform.Geo
{
    public class GeoCodeException : Exception
    {
        public GeoCodeException( GeoCodeStatus status )
            : base( string.Format( "GeoCoding Failed: {0}", status ) )
        {
            _Status = status;
        }

        /// <summary>
        /// Geo Code Status
        /// </summary>
        public GeoCodeStatus Status 
        {
            get { return _Status; }
        }
        private GeoCodeStatus _Status;
    }
}
